/*
 * Class CLASS_NAME_TRANSLATIONS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_171 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_171 [] = {0xFF01,237,170,0xFFFF};
static const EIF_TYPE_INDEX egt_2_171 [] = {0xFF01,170,0xFFFF};
static const EIF_TYPE_INDEX egt_3_171 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_171 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_171 [] = {0xFF01,170,0xFFFF};
static const EIF_TYPE_INDEX egt_6_171 [] = {0xFF01,170,0xFFFF};
static const EIF_TYPE_INDEX egt_7_171 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_171 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_171 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_171 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_171 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_171 [] = {0xFF01,170,0xFFFF};
static const EIF_TYPE_INDEX egt_13_171 [] = {0xFF01,261,0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_14_171 [] = {220,0xFFFF};
static const EIF_TYPE_INDEX egt_15_171 [] = {0xFF01,169,0xFFFF};
static const EIF_TYPE_INDEX egt_16_171 [] = {0xFF01,250,0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_17_171 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_18_171 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_19_171 [] = {0xFF01,141,0xFFFF};
static const EIF_TYPE_INDEX egt_20_171 [] = {206,0xFFFF};
static const EIF_TYPE_INDEX egt_21_171 [] = {206,0xFFFF};
static const EIF_TYPE_INDEX egt_22_171 [] = {0xFF01,170,0xFFFF};
static const EIF_TYPE_INDEX egt_23_171 [] = {0xFF01,243,0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_24_171 [] = {0xFF01,243,0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_25_171 [] = {0xFF01,279,206,0xFFFF};
static const EIF_TYPE_INDEX egt_26_171 [] = {0xFF01,375,191,0xFFFF};
static const EIF_TYPE_INDEX egt_27_171 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_28_171 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_29_171 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_30_171 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_31_171 [] = {0xFF01,315,0xFF01,220,0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_32_171 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_33_171 [] = {0xFF01,220,0xFFFF};


static const struct desc_info desc_171[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_171), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_171), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7006, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_171), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7041, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_171), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_171), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_171), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_171), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_171), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_171), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_171), 7339, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_171), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_171), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7333, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0155 /*170*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_171), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6994, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2017, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1845, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1846, 28},
	{EIF_NON_GENERIC(0x017F /*191*/), 1847, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1848, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1849, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_171), 7040, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_171), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7043, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_171), 6686, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6986, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6987, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6988, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01B9 /*220*/), 6989, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 6992, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6993, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_171), 6995, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_171), 6996, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_171), 6997, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_171), 6998, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7001, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7003, 32},
	{EIF_NON_GENERIC(0x017F /*191*/), 7007, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7008, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7012, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7013, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7014, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7015, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7016, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7017, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7018, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7019, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7020, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7023, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7024, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7025, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7026, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01B9 /*220*/), 7027, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_171), 7028, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_171), 7029, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7336, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7337, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7034, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7035, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7036, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7039, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_171), 7042, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7044, 29},
	{EIF_GENERIC(egt_23_171), 7045, 4},
	{EIF_GENERIC(egt_24_171), 7046, 8},
	{EIF_GENERIC(egt_25_171), 7047, 12},
	{EIF_GENERIC(egt_26_171), 7048, 16},
	{EIF_NON_GENERIC(0x019D /*206*/), 7049, 36},
	{EIF_NON_GENERIC(0x017F /*191*/), 7050, 30},
	{EIF_NON_GENERIC(0x019D /*206*/), 7051, 40},
	{EIF_NON_GENERIC(0x019D /*206*/), 7052, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7053, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7054, 44},
	{EIF_NON_GENERIC(0x019D /*206*/), 7055, 48},
	{EIF_NON_GENERIC(0x019D /*206*/), 7056, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7057, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7058, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7059, 52},
	{EIF_NON_GENERIC(0x01B9 /*220*/), 7060, 20},
	{EIF_NON_GENERIC(0x01B9 /*220*/), 7061, 24},
	{EIF_NON_GENERIC(0x019D /*206*/), 7062, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7063, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7064, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7065, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7066, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7067, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7068, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7069, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7070, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_171), 7071, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01B9 /*220*/), 7072, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01B9 /*220*/), 7073, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7074, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7075, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01B9 /*220*/), 7076, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7077, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7078, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7079, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7080, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7081, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7082, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6972, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6973, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6974, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6975, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6976, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6977, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6978, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6979, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6980, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6981, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6982, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 6983, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7002, 56},
	{EIF_NON_GENERIC(0x019D /*206*/), 7002, 56},
	{EIF_GENERIC(egt_28_171), 7000, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_171), 7005, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7022, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7009, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7010, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7011, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1920, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1968, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 6984, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1921, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7037, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1922, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7338, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01B9 /*220*/), 6990, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01B9 /*220*/), 6991, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7021, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7334, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7335, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_171), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_171), 6999, 0xFFFFFFFF},
	{EIF_GENERIC(egt_32_171), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7004, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7340, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7341, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 7342, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 7343, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 7344, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 7345, 0xFFFFFFFF},
	{EIF_GENERIC(egt_33_171), -1, 0xFFFFFFFF},
};
void Init171(void)
{
	IDSC(desc_171, 0, 170);
	IDSC(desc_171 + 1, 1, 170);
	IDSC(desc_171 + 32, 77, 170);
	IDSC(desc_171 + 41, 123, 170);
	IDSC(desc_171 + 43, 97, 170);
	IDSC(desc_171 + 132, 50, 170);
	IDSC(desc_171 + 133, 256, 170);
	IDSC(desc_171 + 136, 35, 170);
	IDSC(desc_171 + 137, 282, 170);
	IDSC(desc_171 + 146, 187, 170);
	IDSC(desc_171 + 152, 99, 170);
	IDSC(desc_171 + 154, 229, 170);
	IDSC(desc_171 + 155, 34, 170);
	IDSC(desc_171 + 161, 308, 170);
}


#ifdef __cplusplus
}
#endif
